Subject: Re: bug#52837: Failed to compile rav1e which is dependence for tons of packages

From: Leo Famulari <[email-masked]>
Date: Tue, 28 Dec 2021 16:29:46 -0500

On Tue, Dec 28, 2021 at 09:31:19PM +0100, Nicolas Goaziou wrote:
> This is now done on master. AFAICT both nushell and rav1e build. I'll
> let the OP confirm the issue is fixed and close the bug report.

Thanks!

I noticed that Guix complained about "possibly undefined variables" for
llvm and clang and rust-dav1d-sys-0.3.2 failed to build, so I pushed a
commit that imports the LLVM module in (gnu package video).

At first I was confused because rav1e still built, but our Rust
packaging doesn't require dependencies to build.